void Act(byte no, boolean state) {
  if (no == 1) digitalWrite(PIN_ACTUATOR1, state);
  if (no == 2) digitalWrite(PIN_ACTUATOR2, state);
}

void LED_Action() {
  static byte step;
  static int timer;

  if (!led_active) {
    step = 0;
    Act(1, OFF);
    Act(2, OFF);
    return;
  }
  
  switch (step) {
    case 0: Act(1, ON); timer = LED_ON_TIME; step = 1; break;    
    case 1: timer--; if (timer == 0) step = 2; break;    
    case 2: Act(1, OFF); timer = poti/10; step = 3; break;    
    case 3: timer--; if (timer == 0) step = 4; break;    
    case 4: Act(2, ON);  timer = LED_ON_TIME; step = 5; break;    
    case 5: timer--; if (timer == 0) step = 6; break;    
    case 6: Act(2, OFF); timer = poti/10; step = 7; break;    
    case 7: timer--; if (timer == 0) step = 0;break;
  }
}
