void menu_main(void) {
  
  // Tasten auswerten, Menu auswählen
  if (get_key_press(KEY_UP)   && cursor < 2) {
     cursor++;
     lcdRefresh = true;
  }
  if (get_key_press(KEY_DOWN) && cursor > 0) {
    cursor--;
    lcdRefresh = true;
  }
  
  if (get_key_press(KEY_SELECT) ) { // Menu betreten
    switch (cursor) {
      case 0: menu = MENU_SUB1; break;
      case 1: menu = MENU_SUB2; break;
      case 2: menu = MENU_SUB3; break;
    }
  }
  
  // LCD neu zeichnen
  if (lcdRefresh) {
    lcd.setCursor(0, 0);  lcd.print(F(" Timer    Save  "));
    lcd.setCursor(0, 1);  lcd.print(F(" Run            "));
    lcd.setCursor(15, 0); lcd.write(0);

    // Cursor zeichnen
    switch (cursor) {
      case 0: lcd.setCursor(0, 0); break;
      case 1: lcd.setCursor(9, 0); break;
      case 2: lcd.setCursor(0, 1); break;
    }  
    lcd.print(">"); 
  }
}

void menu_sub1(void) {
  static int poti_old;
  
  // Tasten auswerten
  if (get_key_press(KEY_BACK)) menu = MENU_MAIN;
  
  poti = PotiWert();
  if (poti_old != poti) lcdRefresh = true;
  poti_old = poti;
  
  // LCD zeichnen
  if (lcdRefresh) {
    lcd.setCursor(0, 0); lcd.print(F("Timer einstellen"));
    lcd.setCursor(0, 1); printPoti(0); lcd.print("ms  max. 500");
  }
}

void menu_sub2 (void) {
  
  // Tasten auswerten
  if (get_key_press(KEY_BACK)) menu = MENU_MAIN;
  if (get_key_press(KEY_SELECT)) {
    // irgendwas speichern
  }

  // LCD zeichnen
  if (lcdRefresh) {
    lcd.setCursor(0, 0); lcd.print(F("Speichern?      "));
    lcd.setCursor(0, 1); printPoti(0); lcd.print("ms          ");
  }
}

void menu_sub3(void) {

  // Tasten auswerten
  if (get_key_press(KEY_BACK)) {
    menu = MENU_MAIN;
    led_active = false;
  }
  if (get_key_press(KEY_SELECT)) {
    // irgendwas starten
    led_active = true;
  }

  // LCD zeichnen
  if (lcdRefresh) {
    lcd.setCursor(0, 0); lcd.print(F("Schleife starten"));
    lcd.setCursor(0, 1); lcd.print(F("mit Select      "));
  }
}

void menu_FSM() {
  static uint8_t last_menu=200;

  if (last_menu != menu) lcdRefresh = true; else lcdRefresh = false;
  last_menu = menu;

  switch (menu) {
    case MENU_MAIN: menu_main(); break;
    case MENU_SUB1: menu_sub1(); break;
    case MENU_SUB2: menu_sub2(); break;
    case MENU_SUB3: menu_sub3(); break;    
  }
}
